### djls

Directory listing utility.

##### Command Line

Usage

- djls [input]... [option]...

Arguments

- input - Input file or directory. Multiple inputs may be given.

Options

- -info, -i (value) - File information. Values: False, True. Default: True.
- -sequence, -q (value) - File sequencing. Values: False, True. Default: True.
- -hidden, -n (value) - Display hidden files. Values: False, True. Default: False.
- -filter, -f (value) - Filter items using shell globbing (e.g., *, ?). Multiple filter options may be given.
- -recurse, -r - Descend into sub-directories.
- -columns, -c (value) - Number of output columns. A value of zero disables formatting. Default: 80.

Sorting Options

- -sort, -s (value) - Sorting. Values: Name, Type, Size, User, Permissions, Time. Default: Time.
- -reverse, -rv - Reverse sort order.
- -dirsFirst, -df (value) - Sort directories first. Values: False, True. Default: True.

General Options

- -help, -h - Display help message.
- -about - Display about message.

##### Example Output

    train.152-500.jpeg       Seq    5.51MB darby    rw  Wed Mar  1 09:29:21 2006
    waterfall.167-199.jpeg   Seq    0.69MB darby    rw  Wed Mar  1 09:29:21 2006
    bart.134-250.jpeg        Seq    1.28MB darby    rw  Wed Mar  1 09:29:18 2006
    glyph.tiff               File   0.88MB darby    rw  Wed Mar  1 09:26:28 2006
    (1)                      (2)    (3)    (4)      (5) (6)

1. Name.
2. Type: File, Seq (file sequence), Dir (directory).
3. Size in megabytes.
4. User name.
5. Permissions: r (readable), w (writable), x (executable).
6. Last modification time.

##### Examples

List the current directory:

`> djls`

List given directories:

`> djls ~/movies ~/pictures`

Sort by size, from big to small:

`> djls -sort size -reverse`

Show only items ending with ".tiff" or ".tif":

`> djls -filter "*.tiff" -filter "*.tif"`